4 Replies Latest reply on Feb 10, 2009 7:52 AM by Binesh Gummadi

    Upgrade to 3.3.0.GA fails on startup

    Binesh Gummadi Novice

      I have been using 3.2.0.GA for a while and I tried to upgrade to 3.3.0.GA and I got errors while loading my app. Basically it cannot find a class. I use maven and please help me add the right dependency.

      I get

      java.lang.NoClassDefFoundError: org/ajax4jsf/context/SAXStartElementEvent


      This is my maven dependency
      <dependency>
       <groupId>org.richfaces.ui</groupId>
       <artifactId>richfaces-ui</artifactId>
       <version>3.3.0.GA</version>
       </dependency>